new function(){

this.FileCopy = function(fs, path, colors){
	return class FileCopy {
		constructor(paths){
			for(let from in paths){
				let result, to = paths[from], toPath = path.parse(to), fromPath = path.parse(from);

				result = toPath.ext ? to : `${to}/${fromPath.base + (fromPath.ext ? "" : ".js")}`;

				try {
					fs.writeFileSync(
						result,
						fs.readFileSync(
							require.resolve(from)
						)
					);
				}
				catch(e){
					console.log(
						colors.bgBlue("找不到指定文件：") + colors.red(
							path.resolve(__dirname, from)
						)
					);
					return;
				}

				console.log(
					colors.green("文件已复制：") + colors.yellow(result)
				);
			}
		};
	};
}(
	require("fs"),
	require("path"),
	require("colors/safe")
);

module.exports = this.FileCopy;
}();